edu.isi.pegasus.planner.invocation

## Class Invocation

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Architecture, ArgEntry, Arguments, CommandLine, Data, EnvEntry, Environment, File, Ignore, InvocationRecord, Job, JobStatus, Machine, MachineInfo, MachineSpecific, StatCall, StatInfo, Status, Usage, WorkingDir

    public abstract class Invocation
    extends org.griphyn.vdl.Chimera
    implements java.io.Serializable

This abstract class defines a common base for all invocation record related Java objects. Since all necessary functionality is described in `Chimera`, this class is empty. It exists for grouping purposes.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Invocation()`

### Method Summary

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toString, toXML, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Invocation

    public Invocation()